## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <writingSystemDeclaration>

`<writingSystemDeclaration>` | declares the coded character set, transliteration scheme, or entity set used to transcribe a given writing system of a given language.

Attributes

(In addition to global attributes)

`name` | gives a formal name for the writing system declaration
| Datatype: CDATA
| Values: any string of characters
| Default: #REQUIRED

`date` | gives the date on which the writing system declaration was last revised.
| Datatype: %ISO-date;
| Values: A date in valid ISO format.
| Default: #REQUIRED

Example

    <writingSystemDeclaration id="ENG" lang="eng"
       name="-//TEI P2: 1993//WSD Modern English//en"
       date="1993-05-25">
       <language>Modern English</language>
       <direction lines="TB" chars="LR"/>
       <base name="ANSI X3.4" authority="national"/>
       <exceptions></exceptions>
     </writingSystemDeclaration>

Module Declared in file teiwsd2; Auxiliary tag set for Writing System Declarations
Data Description May contain only a prescribed series of sub-elements.
May contain characters direction language note script
May occur within
Declaration

    <!ELEMENT writingSystemDeclaration %om.RR;  (language, script,
    direction*, characters, note*)>
    <!ATTLIST writingSystemDeclaration
          %a.global;
          name CDATA #REQUIRED
          date %ISO-date; #REQUIRED>

See further 25.1 Overall Structure of Writing System Declaration

Up: 35 Elements